<?
include './system/common.php';
include './system/functions.php';
include './system/user.php';
    
if(!$user) {//Переадресация для не авторизованных
header('location: /');    
exit;}


switch($_GET['action']) {
default:

$title = 'Рейтинг кланов';    
include './system/h.php';  
echo'<div class="title">'.$title.'</div>';

     echo' '.$_SESSION['mes'].'  ';
    $_SESSION['mes']=NULL; //Удаляем сесию

$max = 10;
$count = mysql_result(mysql_query('SELECT COUNT(*) FROM `clans`'),0);
$pages = ceil($count/$max);
$page = _string(_num($_GET['page']));

if($page > $pages) {$page = $pages;}
if($page < 1) {$page = 1;}
$start = $page * $max - $max;

if($page == 1) {$i = $page - 1;}
elseif($page == 2) {
$i = ($page + 9);
}else{$i = ($page * 10) - 9;}




$q = mysql_query('SELECT * FROM `clans` ORDER BY `level` DESC,`exp` DESC LIMIT '.$start.', '.$max.'');
  while($row = mysql_fetch_array($q)) {
  
  $i++;




echo'
<div class="empty_block">
<table cellpadding="0" cellspacing="0">
<tr>
<td width="15%"><img src="/images/ico/gerb/'.$row['gerb'].'.png" alt="*"/></td>
<td><img src="/images/ico/png/clan.png" alt="*" width="18"/> <a href="/clan.php?id='.$row['id'].'">'.$row['name'].'</a><br/>
<img src="/images/ico/png/clan_level.png" width="18"/> Уровень: <b>'.$row['level'].'</b><br/>
<img src="/images/ico/png/exp.png" alt="*" width="18"/> Опыт: '.n_f($row['exp']).'</td>
</tr></table>
</div><div class="line"></div>';
}

echo''.pages('?').'';//Вывод страниц
echo'<div class="line"></div>';
if(!$clan){
echo'<div class="block_link"><a href="/clans/create/"><img src="/images/ico/png/clan_created.png" alt="*"/> Создать клан</a></div>
<div class="line"></div>';}



include './system/f.php';
break;


case 'create':
$title = 'Создать клан';    
include './system/h.php';  
$cost = 2000;
echo'<div class="title">'.$title.'</div>';

  if($clan) {
header("Location: /clans/");
$_SESSION['mes'] = mes('Для создания клана необходимо выйти из уже существующего!');
exit;


  }else{
  


  if(isset($_REQUEST['ok'])){
$name = _string($_POST['name']);
	
    $clans = mysql_query('SELECT * FROM `clans` WHERE `name` = "'.$name.'"');
    $clans = mysql_fetch_array($clans);
  
  
  

  if(empty($name) or mb_strlen($name) < 3) {
header('Location: /clans/create/');
$_SESSION['mes'] = mes('Слишком короткое название!');
exit; }

     if($cost > $user[g]) {
header('Location: /clans/create/');
$_SESSION['mes'] = mes('Недостаточно золота!');
exit; }  
  
$clans = mysql_query('SELECT * FROM `clans` WHERE `name` = "'.$name.'"');
$clans = mysql_fetch_array($clans);
    
    
  if($clans[name] == $name) {
header('Location: /clans/create/');
$_SESSION['mes'] = mes('Клан с таким названием уже существует!');
exit; }  
  

mysql_query('UPDATE `users` SET `g` = "'.($user['g'] - $cost).'" WHERE `id` = "'.$user['id'].'"');
mysql_query('INSERT INTO `clans` (`name`,`r`) VALUES ("'.$name.'", "'.$user['r'].'")');
$clan_id = mysql_insert_id();
mysql_query('INSERT INTO `clan_memb` (`clan`,`user`,`v`,`rank`, `time`,`last_update`) VALUES ("'.$clan_id.'", "'.$user['id'].'", "10", "4", "'.time().'","'.(time() + ((60 * 60) * 24)).'")');
$text=' <a href="/user/'.$user['id'].'">'.nick($user['id']).'</a> <font color="#7afe4e">основал клан '.$name.'</font> '; //Текст уведомления
mysql_query("INSERT INTO `clan_history` SET `clan`='".$clan_id."',`text`='".$text."',`time`='".time()."'"); //Отправляем уведомление
header('location: /clan.php');
}




     echo' '.$_SESSION['mes'].'  ';
    $_SESSION['mes']=NULL; //Удаляем сесию
echo'
<div class="empty_block item_center">
  <form action="" method="post">
  Название клана:<br/>
  <input name="name"/><br/>
  <input class="button" type="submit" name="ok" value="Создать клан"/><br/>
  <small>Цена: <img src="/images/ico/png/gold.png" alt="*" width="16"/> '.$cost.' золота</small>
  </form>
</div><div class="line"></div>';
}
 
 
include './system/f.php';
break; 
}
?>